Page MenuHomePhabricator

Phabricator avatars should have high definition version for HD displays
Closed, ResolvedPublic

Description

The sizes of avatars look fine on comments on tasks in regular displays, but they would benefit higher-resolution images on hi-DPI screens.

Previous description:
If we're going to have avatars, they should not be so small as to be awkward and depressing (currently 50x50px). GitHub's sizes seem much better.

Event Timeline

MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride added a subscriber: MZMcBride.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2015, 8:54 PM

Removing them seems the obvious solution.

Qgil triaged this task as Lowest priority.Feb 16 2015, 9:32 PM
Qgil removed a project: Phabricator.
Qgil set Security to None.
Reedy added a subscriber: Reedy.Feb 16 2015, 9:33 PM

We should get someone on Commons to go take a nice high resolution photo of a Psyduck.

Wait a minute...

{{speedy|Psyduck is not available under a free license}}

One headache less…

Qgil added a subscriber: Qgil.Feb 16 2015, 9:37 PM

I didn't feel any symptoms of depression because of these avatars, and I didn't feel any urge to see bigger avatars. The current size is enough to bring basic visual identification; it is enough to identify the avatars you recognize.

Anyway, this is probably a very subjective request and discussion. Upstream might be interested in the argument or not for probably equally subjective reasons. If someone wants to try...

brion added a subscriber: brion.Feb 17 2015, 6:59 PM

MZ, do you find the *on-screen physical size* depressing, or is it that they look bad on a hi-DPI display because they're half the screen density one would want?

Is the size too small in some specific area such as comments or user pages? The sizes look fine to me on comments on tasks, though I would love higher-resolution images on hi-DPI screens.

Nemo_bis removed a subscriber: Nemo_bis.Feb 21 2015, 2:11 PM
Qgil renamed this task from Phabricator avatars are depressingly low resolution to Phabricator avatars should have high definition version for HD displays.Mar 3 2015, 10:01 AM
Qgil updated the task description. (Show Details)
Qgil moved this task from Need Discussion to Ready To Go on the Phabricator (Upstream) board.

MZ, do you find the *on-screen physical size* depressing, or is it that they look bad on a hi-DPI display because they're half the screen density one would want?
Is the size too small in some specific area such as comments or user pages? The sizes look fine to me on comments on tasks, though I would love higher-resolution images on hi-DPI screens.

Basically my reaction is along the lines of "Jesus, Phabricator, it's 2015, either support avatars or don't, but 50px is insanely small."

(I zoom in a lot and use a large monitor.)

Next to comments, the images are passable. Though I'd probably personally prefer @Nemo_bis' solution of disabling avatars or perhaps getting rid of custom avatars and one of those colorful shapes auto-generated images or something similarly silly. I think custom avatars (beyond maybe a solid color choice or auto-generated) are more hassle than they're worth.

My gripe was mostly about profile pages.

Qgil added a comment.Mar 4 2015, 9:12 AM

My gripe was mostly about profile pages.

Alright, in this case the problem is not only about resizing the avatar in the profile page, but to move it to the content area, where there is space to grow. In the current locations, increasing the size of the avatar implies oversizing the elements where they are embedded.

Qgil added a comment.Apr 20 2015, 7:41 AM

I don't think the avatar's size are problematic enough as for having a discussion here. After several months of use, I find them good enough to distinguish users easily, which is the main point.

I propose to decline this task here. If someone wants to discuss this topic, doing it upstream will be more productive.

Aklapper closed this task as Declined.Jul 16 2015, 1:13 PM
Aklapper claimed this task.

I'm declining this as per last comment.

MZMcBride reopened this task as Open.Oct 12 2015, 12:32 AM

I propose to decline this task here. If someone wants to discuss this topic, doing it upstream will be more productive.

I think it's fine to track issues locally as well as upstream.

I propose to decline this task here. If someone wants to discuss this topic, doing it upstream will be more productive.

I think it's fine to track issues locally as well as upstream.

It's fine, as in it's not terribly harmful, but it's not really very helpful either. It fragments the discussion, though it does reduce the noise in upstream's tracker. Personally I don't see this issue as being very important. IMO avatars are perfect as-is. For profile pages it would be nice to support larger images but this doesn't seem very important or likely to be widely used.

Aklapper removed Aklapper as the assignee of this task.Oct 13 2015, 5:22 PM

User and project profile images are now 200x200px at HEAD in the upstream, and should display at full resolution on retina displays. You may also use the "Blurb" section of your profile to present additional photography.

Qgil removed a subscriber: Qgil.Feb 11 2016, 12:26 PM
mmodell closed this task as Resolved.Feb 18 2016, 3:39 AM
mmodell claimed this task.

User and project profile images are now 200x200px at HEAD in the upstream, and should display at full resolution on retina displays.

Nice. Thanks for this, 200px is definitely better than 50px. I'm still hoping for SVG support one day. :-)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 28 2016, 1:32 AM